// pages/product/product.js

Page({
    data: {
      // 可以在这里添加更多的数据
      goods_item:[
        { id: 1, name: '商品A', price: 100, quantity: 1, image: 'https://cdn-we-retail.ym.tencent.com/tsr/home/v2/banner1.png', selected: false },
        { id: 2, name: '商品B', price: 200, quantity: 1, image: 'https://cdn-we-retail.ym.tencent.com/tsr/home/v2/banner2.png', selected: false },
        { id: 3, name: '商品C', price: 300, quantity: 1, image: 'https://cdn-we-retail.ym.tencent.com/tsr/home/v2/banner3.png', selected: false },
        { id: 4, name: '商品D', price: 400, quantity: 1, image: 'https://cdn-we-retail.ym.tencent.com/tsr/home/v2/banner4.png', selected: false },
        { id: 5, name: '商品E', price: 500, quantity: 1, image: 'https://cdn-we-retail.ym.tencent.com/tsr/home/v2/banner5.png', selected: false }
      ],
      user: {
        avatar: 'https://ts3.cn.mm.bing.net/th?id=OIP-C.y6rdSCGpxbfeb8Rd1CpSuwAAAA&w=250&h=250&c=8&rs=1&qlt=90&o=6&pid=3.1&rm=2', // 默认头像路径
        nickname: '匿名用户' // 默认昵称
      },
      comment: {
        text: '这是一个很棒的产品，我非常喜欢！', // 默认评语
        purchaseTime: '2024-11-20' // 默认购买时间
      }
    },
  
    onLoad: function () {
      console.log('Product page loaded');
      wx.setNavigationBarTitle({
        title: '商品详情',
      })
    },
  
    onSearch: function (e) {
      console.log('Search clicked', e.detail.value);
      // 处理搜索逻辑
    },
  
    onBuyNow: function () {
      console.log('Buy now clicked');
      // 处理立即购买逻辑
    },
  
    onAddToCart: function () {
      console.log('Add to cart clicked');
      // 处理加入购物车逻辑
    },
  
    onViewReviews: function () {
      console.log('View reviews clicked');
      wx.navigateTo({
        url: '/pages/shop/goods/evaluate/evaluate',
      })
    },
  
    onContactCustomerService: function () {
      console.log('Contact customer service clicked');
      // 处理联系客服逻辑
    }
  });